Typescript 1.8

wesee's Avatar

wesee

01 Jul, 2016 01:33 PM

Hey,

I am trying to run my application that uses typescript 1.8

Is there a way to make it work?

  1. Support Staff 1 Posted by rune on 01 Jul, 2016 03:42 PM

    rune's Avatar

    Hi,

    Yep it's certainly possible to use Typescript 1.8 on AppHarbor -- however, you can currently only do so by using the NuGet packages as the latest installed Typescript version on the build serves is 1.5. Are you currently using a locally installed Typescript version or are you using NuGet packages?

    We likely won't be updating the Typescript version on the build servers any more as the NuGet package approach is overall better and more elegant -- among other reasons because of less dependencies on locally installed software and less risk that it'll affect other components on the build and worker servers.

    Also, take a look at this discussion where another customer was able to get Typescript 1.8 up and running. I also made a sample app (there's a link to it in the discussion) that uses Typescript 1.8.11 on AppHarbor.

    Let me know if there's anything else I can help with!

    Best,
    Rune

  2. wesee closed this discussion on 29 Aug, 2016 09:53 AM.

Discussions are closed to public comments.
If you need help with AppHarbor please start a new discussion.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac